﻿using System.Collections.Generic;

namespace Eingabeverwaltung.Metamodell
{
    public class TaskLemma : Rule
    {
        public readonly List<Variable> fixedVars;
        public TaskLemma(string name, Equation eq, List<Variable> fixedVars) : base(new Coords(-1, -1), name, eq) 
        {
            this.fixedVars = fixedVars;
        }
        
        public override bool IsFixed(Variable variable) => fixedVars.Contains(variable);
    }
}
