﻿using System.Collections.Generic;

namespace Eingabeverwaltung.Metamodell
{
	public abstract class Tree : Sorthaver
	{
		public readonly Coords coords;
		public Tree(Coords coords, string name, Sort sort) : base(name, sort)
		{ 
			this.coords = coords;
		}

		public override abstract string ToString();
		public abstract List<Tree> findSubTree(Tree tree);
		public abstract List<Variable> findUsedVars(); 
        public abstract bool Equals(Tree tree);
		// don't use it until you know what to do with tree == null
		//public static bool operator ==(Tree left, Tree right) =>  left.Equals(right);  
		//public static bool operator !=(Tree left, Tree right) => !left.Equals(right);

		public abstract Tree Copy();
	}	
}
